Skip to navigation

Read Household Leslie Configuration

Available by Request

Read whether the Leslie integration is enabled for a specific household. If no configuration has been saved for the household yet, a default of enabled: true (and effectiveEnabled: true) is returned. Integrations should key off of effectiveEnabled rather than the raw enabled value, since effectiveEnabled accounts for a disabled quiet period (disabledUntil) that has since elapsed even though enabled still reflects the last saved value until it is explicitly re-enabled.

This endpoint is part of our evolving API ecosystem. To explore availability for your integration, please contact our team.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

householdIdstringRequiredformat: "uuid"
The id of the household

Response

Expected response to a valid request
idstring or nullOptionalformat: "uuid"
householdIdstringOptionalformat: "uuid"
enabledbooleanOptional
Whether the Leslie integration is enabled for this household.
effectiveEnabledbooleanOptional

The value integrations should act on. This accounts for any quiet period that has since ended, and may differ from the raw enabled value.

isInQuietPeriodbooleanOptional
Whether a disabled quiet period is currently active for this household.
disabledReasonstring or nullOptional<=1000 characters
disabledByIdstring or nullOptionalformat: "uuid"
disabledAtdatetime or nullOptional
disabledUntildatetime or nullOptional
createdAtdatetime or nullOptional
updatedAtdatetime or nullOptional
householdobjectOptional